Plans

Get a plan with every Spec, sub-plan and dependency in one call

GET
/v1/projects/{projectSlug}/plans/{planShortId}/tree

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

projectSlug*string

Project slug, e.g. recipe-box.

planShortId*string

Plan handle within the project, e.g. PLAN-12.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/plans/string/tree"
{  "plan": {    "id": "string",    "shortId": "string",    "archivedAt": "2019-08-24T14:15:22Z",    "name": "string",    "status": "PLANNING",    "statusLabel": "string",    "projectId": "string",    "parentPlanId": "string",    "rootPlanId": "string",    "visibility": "PRIVATE",    "ownerUserId": "string",    "capability": "NONE",    "specCount": 0  },  "specs": [    {      "id": "string",      "shortId": "string",      "title": "string",      "content": "string",      "status": "string",      "parentSpecId": "string",      "parentShortId": "string",      "needsFirst": [        "string"      ],      "effort": 1,      "effortLabel": "string",      "readiness": 1,      "readinessLabel": "string"    }  ],  "subPlans": [    {      "id": "string",      "shortId": "string",      "archivedAt": "2019-08-24T14:15:22Z",      "name": "string",      "status": "PLANNING",      "statusLabel": "string",      "projectId": "string",      "parentPlanId": "string",      "rootPlanId": "string",      "visibility": "PRIVATE",      "ownerUserId": "string",      "capability": "NONE",      "specCount": 0    }  ],  "dependencies": [    {      "id": "string",      "fromPlanId": "string",      "fromSpecId": "string",      "toPlanId": "string",      "toSpecId": "string"    }  ]}